Subject: Virtual Reality Headset (Holiday Gift of the YEAR)!

From: "Astoria Virtual Reality" <[email-masked]>
Date: Mon, 2 Jan 2017 17:38:24 -0800

Your email client does not support HTML, this email must be viewed in HTML mode.